"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const querystring_1 = __importDefault(require("querystring"));
exports.getRedirect = (service, data) => __awaiter(this, void 0, void 0, function* () {
    const { redirect } = service.configuration.oauth;
    if (!redirect) {
        return null;
    }
    const separator = redirect.endsWith('?') ? '' : '#';
    const authResult = data;
    const query = authResult.accessToken ? {
        access_token: authResult.accessToken
    } : {
        error: data.message || 'OAuth Authentication not successful'
    };
    return redirect + separator + querystring_1.default.stringify(query);
});
exports.getDefaultSettings = (app, other) => {
    const defaults = Object.assign({ path: '/auth', authService: app.get('defaultAuthentication'), linkStrategy: 'jwt', getRedirect: exports.getRedirect }, other);
    return defaults;
};
//# sourceMappingURL=utils.js.map